Bug 193561 - x11-fm/rodent: version 5.2.9 is out
Summary: x11-fm/rodent: version 5.2.9 is out
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-11 13:26 UTC by Dmitry Marakasov
Modified: 2014-10-03 21:52 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2014-09-11 13:26:34 UTC
Rodent fm 5.2.9 is available: http://sourceforge.net/projects/xffm/files/rodent/

Rodrigo, do you plan to update the port anytime soon? Cause it has some demand: https://github.com/AMDmi3/freebsd-ports/issues/2 and I was planning to try and update it myself if you have no time for at the moment.
Comment 1 Rodrigo Osorio freebsd_committer 2014-09-13 18:18:52 UTC
Hi,

I start working on it but rodent was cut in 3 pieces of s..oftware
rodent and two libraries. This means 2 new ports to support rodent.
Add to this the fact that the developer put crazy version numbers, and the result
is a large amount of fix/debugging.
I'm working on it but please, please, be patient.

cheers,
- rodrigo
Comment 2 Rodrigo Osorio freebsd_committer 2014-09-27 12:56:55 UTC
I worked in port upgrade this week and the new version is ready
but it must be tested before commit.
New version comes with two extra ports, the the original code was
split in two shared libraries and a executable binary.
Comment 3 commit-hook freebsd_committer 2014-10-03 21:47:41 UTC
A commit references this bug:

Author: rodrigo
Date: Fri Oct  3 21:46:57 UTC 2014
New revision: 369939
URL: https://svnweb.freebsd.org/changeset/ports/369939

Log:
  Upgrade rodent file manager to v5.2.9
  The rodent project split the code in 3 parts, rodent itself and
  two shared libraries, librfm and libtubo.
  Librfm and libtubo are new ports because they evolve separately
  and can be used by other ports.

  PR:		ports/193561
  Submitted by:	rodrigo
  Approved by:	mentors (implicit)

Changes:
  head/x11-fm/librfm/
  head/x11-fm/librfm/Makefile
  head/x11-fm/librfm/distinfo
  head/x11-fm/librfm/pkg-descr
  head/x11-fm/librfm/pkg-plist
  head/x11-fm/libtubo/
  head/x11-fm/libtubo/Makefile
  head/x11-fm/libtubo/distinfo
  head/x11-fm/libtubo/files/
  head/x11-fm/libtubo/files/patch-Makefile.in
  head/x11-fm/libtubo/pkg-descr
  head/x11-fm/libtubo/pkg-plist
  head/x11-fm/rodent/Makefile
  head/x11-fm/rodent/distinfo
  head/x11-fm/rodent/pkg-plist
Comment 4 Rodrigo Osorio freebsd_committer 2014-10-03 21:52:01 UTC
commited thanks